## org.eclipse.wst.wsdl.binding.soap
Interface SOAPPackage.Literals

Enclosing interface:
  SOAPPackage

    public static interface SOAPPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EClass` `ISOAP_ADDRESS` The meta object literal for the '`ISOAP Address`' class
`static EClass` `ISOAP_BINDING` The meta object literal for the '`ISOAP Binding`' class
`static EClass` `ISOAP_BODY` The meta object literal for the '`ISOAP Body`' class
`static EClass` `ISOAP_FAULT` The meta object literal for the '`ISOAP Fault`' class
`static EClass` `ISOAP_HEADER` The meta object literal for the '`ISOAP Header`' class
`static EClass` `ISOAP_HEADER_FAULT` The meta object literal for the '`ISOAP Header Fault`' class
`static EClass` `ISOAP_OPERATION` The meta object literal for the '`ISOAP Operation`' class
`static EDataType` `ISTRING` The meta object literal for the 'IString' data type
`static EClass` `SOAP_ADDRESS` The meta object literal for the '`Address`' class
`static EAttribute` `SOAP_ADDRESS__LOCATION_URI` The meta object literal for the 'Location URI' attribute feature
`static EClass` `SOAP_BINDING` The meta object literal for the '`Binding`' class
`static EAttribute` `SOAP_BINDING__STYLE` The meta object literal for the 'Style' attribute feature
`static EAttribute` `SOAP_BINDING__TRANSPORT_URI` The meta object literal for the 'Transport URI' attribute feature
`static EClass` `SOAP_BODY` The meta object literal for the '`Body`' class
`static EAttribute` `SOAP_BODY__EENCODING_STYLES` The meta object literal for the 'EEncoding Styles' attribute list feature
`static EReference` `SOAP_BODY__EPARTS` The meta object literal for the 'EParts' reference list feature
`static EAttribute` `SOAP_BODY__NAMESPACE_URI` The meta object literal for the 'Namespace URI' attribute feature
`static EAttribute` `SOAP_BODY__USE` The meta object literal for the 'Use' attribute feature
`static EClass` `SOAP_FAULT` The meta object literal for the '`Fault`' class
`static EAttribute` `SOAP_FAULT__EENCODING_STYLES` The meta object literal for the 'EEncoding Styles' attribute list feature
`static EAttribute` `SOAP_FAULT__NAME` The meta object literal for the 'Name' attribute feature
`static EAttribute` `SOAP_FAULT__NAMESPACE_URI` The meta object literal for the 'Namespace URI' attribute feature
`static EAttribute` `SOAP_FAULT__USE` The meta object literal for the 'Use' attribute feature
`static EClass` `SOAP_HEADER` The meta object literal for the '`Header`' class
`static EReference` `SOAP_HEADER__HEADER_FAULTS` The meta object literal for the 'Header Faults' containment reference list feature
`static EClass` `SOAP_HEADER_BASE` The meta object literal for the '`Header Base`' class
`static EAttribute` `SOAP_HEADER_BASE__EENCODING_STYLES` The meta object literal for the 'EEncoding Styles' attribute list feature
`static EReference` `SOAP_HEADER_BASE__EMESSAGE` The meta object literal for the 'EMessage' reference feature
`static EReference` `SOAP_HEADER_BASE__EPART` The meta object literal for the 'EPart' reference feature
`static EAttribute` `SOAP_HEADER_BASE__MESSAGE` The meta object literal for the 'Message' attribute feature
`static EAttribute` `SOAP_HEADER_BASE__NAMESPACE_URI` The meta object literal for the 'Namespace URI' attribute feature
`static EAttribute` `SOAP_HEADER_BASE__PART` The meta object literal for the 'Part' attribute feature
`static EAttribute` `SOAP_HEADER_BASE__USE` The meta object literal for the 'Use' attribute feature
`static EClass` `SOAP_HEADER_FAULT` The meta object literal for the '`Header Fault`' class
`static EClass` `SOAP_OPERATION` The meta object literal for the '`Operation`' class
`static EAttribute` `SOAP_OPERATION__SOAP_ACTION_URI` The meta object literal for the 'Soap Action URI' attribute feature
`static EAttribute` `SOAP_OPERATION__STYLE` The meta object literal for the 'Style' attribute feature

Field Detail

### SOAP_BINDING

    static final EClass SOAP_BINDING

  The meta object literal for the '`Binding`' class.

  See Also:
    `SOAPBindingImpl`, `SOAPPackageImpl.getSOAPBinding()`

### SOAP_BINDING__TRANSPORT_URI

    static final EAttribute SOAP_BINDING__TRANSPORT_URI

  The meta object literal for the 'Transport URI' attribute feature.

### SOAP_BINDING__STYLE

    static final EAttribute SOAP_BINDING__STYLE

  The meta object literal for the 'Style' attribute feature.

### SOAP_BODY

    static final EClass SOAP_BODY

  The meta object literal for the '`Body`' class.

  See Also:
    `SOAPBodyImpl`, `SOAPPackageImpl.getSOAPBody()`

### SOAP_BODY__USE

    static final EAttribute SOAP_BODY__USE

  The meta object literal for the 'Use' attribute feature.

### SOAP_BODY__NAMESPACE_URI

    static final EAttribute SOAP_BODY__NAMESPACE_URI

  The meta object literal for the 'Namespace URI' attribute feature.

### SOAP_BODY__EENCODING_STYLES

    static final EAttribute SOAP_BODY__EENCODING_STYLES

  The meta object literal for the 'EEncoding Styles' attribute list feature.

### SOAP_BODY__EPARTS

    static final EReference SOAP_BODY__EPARTS

  The meta object literal for the 'EParts' reference list feature.

### SOAP_HEADER_BASE

    static final EClass SOAP_HEADER_BASE

  The meta object literal for the '`Header Base`' class.

  See Also:
    `SOAPHeaderBaseImpl`, `SOAPPackageImpl.getSOAPHeaderBase()`

### SOAP_HEADER_BASE__USE

    static final EAttribute SOAP_HEADER_BASE__USE

  The meta object literal for the 'Use' attribute feature.

### SOAP_HEADER_BASE__NAMESPACE_URI

    static final EAttribute SOAP_HEADER_BASE__NAMESPACE_URI

  The meta object literal for the 'Namespace URI' attribute feature.

### SOAP_HEADER_BASE__EENCODING_STYLES

    static final EAttribute SOAP_HEADER_BASE__EENCODING_STYLES

  The meta object literal for the 'EEncoding Styles' attribute list feature.

### SOAP_HEADER_BASE__MESSAGE

    static final EAttribute SOAP_HEADER_BASE__MESSAGE

  The meta object literal for the 'Message' attribute feature.

### SOAP_HEADER_BASE__PART

    static final EAttribute SOAP_HEADER_BASE__PART

  The meta object literal for the 'Part' attribute feature.

### SOAP_HEADER_BASE__EMESSAGE

    static final EReference SOAP_HEADER_BASE__EMESSAGE

  The meta object literal for the 'EMessage' reference feature.

### SOAP_HEADER_BASE__EPART

    static final EReference SOAP_HEADER_BASE__EPART

  The meta object literal for the 'EPart' reference feature.

### SOAP_FAULT

    static final EClass SOAP_FAULT

  The meta object literal for the '`Fault`' class.

  See Also:
    `SOAPFaultImpl`, `SOAPPackageImpl.getSOAPFault()`

### SOAP_FAULT__USE

    static final EAttribute SOAP_FAULT__USE

  The meta object literal for the 'Use' attribute feature.

### SOAP_FAULT__NAMESPACE_URI

    static final EAttribute SOAP_FAULT__NAMESPACE_URI

  The meta object literal for the 'Namespace URI' attribute feature.

### SOAP_FAULT__EENCODING_STYLES

    static final EAttribute SOAP_FAULT__EENCODING_STYLES

  The meta object literal for the 'EEncoding Styles' attribute list feature.

### SOAP_FAULT__NAME

    static final EAttribute SOAP_FAULT__NAME

  The meta object literal for the 'Name' attribute feature.

### SOAP_OPERATION

    static final EClass SOAP_OPERATION

  The meta object literal for the '`Operation`' class.

  See Also:
    `SOAPOperationImpl`, `SOAPPackageImpl.getSOAPOperation()`

### SOAP_OPERATION__SOAP_ACTION_URI

    static final EAttribute SOAP_OPERATION__SOAP_ACTION_URI

  The meta object literal for the 'Soap Action URI' attribute feature.

### SOAP_OPERATION__STYLE

    static final EAttribute SOAP_OPERATION__STYLE

  The meta object literal for the 'Style' attribute feature.

### SOAP_ADDRESS

    static final EClass SOAP_ADDRESS

  The meta object literal for the '`Address`' class.

  See Also:
    `SOAPAddressImpl`, `SOAPPackageImpl.getSOAPAddress()`

### SOAP_ADDRESS__LOCATION_URI

    static final EAttribute SOAP_ADDRESS__LOCATION_URI

  The meta object literal for the 'Location URI' attribute feature.

### SOAP_HEADER_FAULT

    static final EClass SOAP_HEADER_FAULT

  The meta object literal for the '`Header Fault`' class.

  See Also:
    `SOAPHeaderFaultImpl`, `SOAPPackageImpl.getSOAPHeaderFault()`

### SOAP_HEADER

    static final EClass SOAP_HEADER

  The meta object literal for the '`Header`' class.

  See Also:
    `SOAPHeaderImpl`, `SOAPPackageImpl.getSOAPHeader()`

### SOAP_HEADER__HEADER_FAULTS

    static final EReference SOAP_HEADER__HEADER_FAULTS

  The meta object literal for the 'Header Faults' containment reference list feature.

### ISOAP_BINDING

    static final EClass ISOAP_BINDING

  The meta object literal for the '`ISOAP Binding`' class.

  See Also:
    `SOAPBinding`, `SOAPPackageImpl.getISOAPBinding()`

### ISOAP_ADDRESS

    static final EClass ISOAP_ADDRESS

  The meta object literal for the '`ISOAP Address`' class.

  See Also:
    `SOAPAddress`, `SOAPPackageImpl.getISOAPAddress()`

### ISOAP_BODY

    static final EClass ISOAP_BODY

  The meta object literal for the '`ISOAP Body`' class.

  See Also:
    `SOAPBody`, `SOAPPackageImpl.getISOAPBody()`

### ISOAP_FAULT

    static final EClass ISOAP_FAULT

  The meta object literal for the '`ISOAP Fault`' class.

  See Also:
    `SOAPFault`, `SOAPPackageImpl.getISOAPFault()`

### ISOAP_OPERATION

    static final EClass ISOAP_OPERATION

  The meta object literal for the '`ISOAP Operation`' class.

  See Also:
    `SOAPOperation`, `SOAPPackageImpl.getISOAPOperation()`

### ISOAP_HEADER_FAULT

    static final EClass ISOAP_HEADER_FAULT

  The meta object literal for the '`ISOAP Header Fault`' class.

  See Also:
    `SOAPHeaderFault`, `SOAPPackageImpl.getISOAPHeaderFault()`

### ISOAP_HEADER

    static final EClass ISOAP_HEADER

  The meta object literal for the '`ISOAP Header`' class.

  See Also:
    `SOAPHeader`, `SOAPPackageImpl.getISOAPHeader()`

### ISTRING

    static final EDataType ISTRING

  The meta object literal for the 'IString' data type.

  See Also:
    `String`, `SOAPPackageImpl.getIString()`